%global momorel 5

Name:           perl-Catalyst-Plugin-FormValidator-Simple
Version:        0.12
Release: %{momorel}m%{?dist}
Summary:        Validator for Catalyst with FormValidator::Simple
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-FormValidator-Simple/
Source0: http://www.cpan.org/authors/id/L/LY/LYOKATO/Catalyst-Plugin-FormValidator-Simple-%{version}.tar.gz 
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.3
BuildRequires:  perl-Catalyst-Plugin-FormValidator
BuildRequires:  perl-FormValidator-Simple >= 0.13
Requires:       perl-Catalyst-Runtime >= 5.3
Requires:       perl-Catalyst-Plugin-FormValidator
Requires:       perl-FormValidator-Simple >= 0.13
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin allows you to validate request parameters with
FormValidator::Simple. See FormValidator::Simple for more information.

%prep
%setup -q -n Catalyst-Plugin-FormValidator-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*
%{perl_vendorlib}/*/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.12-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12-1m)
- update to 0.12

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.10-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
